Bug 1843179 - Metering uses the wrong serviceaccount for the prometheus-k8s rolebinding
Summary: Metering uses the wrong serviceaccount for the prometheus-k8s rolebinding
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Metering Operator
Version: 4.6
Hardware: Unspecified
OS: Unspecified
urgent
high
Target Milestone: ---
: 4.6.0
Assignee: tflannag
QA Contact: Peter Ruan
URL:
Whiteboard:
Depends On:
Blocks: 1843178
TreeView+ depends on / blocked
 
Reported: 2020-06-02 18:34 UTC by tflannag
Modified: 2020-10-27 16:04 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of: 1843178
Environment:
Last Closed: 2020-10-27 16:04:10 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github kube-reporting metering-operator pull 1228 0 None closed Bug 1843179: Reference the correct serviceaccount to allow Prometheus to scrape Metering endpoints properly. 2020-08-26 06:50:46 UTC
Red Hat Product Errata RHBA-2020:4196 0 None None None 2020-10-27 16:04:13 UTC

Comment 3 Peter Ruan 2020-08-26 21:22:41 UTC
verified with 
$ oc version
Client Version: 4.6.0-0.nightly-2020-08-24-110601
Server Version: 4.6.0-0.nightly-2020-08-26-093617
Kubernetes Version: v1.19.0-rc.2+aaf4ce1-dirty

pruan@MacBook-Pro ~/workspace/BushSlicer (master●●)$ oc get ep
NAME                        ENDPOINTS                                              AGE
hive-metastore              10.129.2.47:8082,10.129.2.47:9084                      4h38m
hive-server                 10.131.0.36:8082,10.131.0.36:10002,10.131.0.36:10001   4h38m
metering-operator-metrics   10.131.0.46:8686,10.131.0.46:8383                      4h40m
nfs-service                 10.131.0.35:2049                                       4h40m
presto                      10.130.2.4:8082,10.130.2.4:8080                        4h38m
presto-nodes                10.130.2.4:8080                                        4h38m
presto-worker               <none>                                                 4h38m
reporting-operator          10.129.2.48:8082,10.129.2.48:8081                      4h37m.   <---

$ oc auth can-i list endpoints -n operator-metering
yes

Comment 5 errata-xmlrpc 2020-10-27 16:04:10 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6 GA Images), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:4196


Note You need to log in before you can comment on or make changes to this bug.